View Issue Details

IDProjectCategoryView StatusLast Update
0035803LazarusIDEpublic2019-11-07 09:56
ReporterSven Barth Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionreopened 
PlatformX86_64OSWindows NT 
Product Version2.1 (SVN) 
Summary0035803: Adding a namespaced unit does not update project source file correctly
DescriptionWhen adding a new unit to a project that contains a namespace the unit's name in the main source file stays its default name (e.g. unit1).
Steps To Reproduce- start a new project (e.g. "Program") and save it
- add a new unit
- save new unit as "Test.Foo"
- add another unit
- save new unit as "Test.Bar"

Expected result:
- main source file contains at least the following units: "Test.Foo" and "Test.Bar"

Actual result:
- main source file only contains "unit1"
Additional InformationNote: the project inspector contains the correct units.
TagsNo tags attached.
Fixed in Revisionr62134, r62169
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

Juha Manninen

2019-10-27 16:46

developer   ~0118877

Fixed. Please test.

Sven Barth

2019-11-01 17:36

manager   ~0118954

It does not yet work completely (revision 62151): Saving the first unit now changes the name in the project file, but the second (and third, etc.) still keeps having "unit1" in the main project file.

Juha Manninen

2019-11-03 17:48

developer   ~0119016

Ok, try again please.

Sven Barth

2019-11-07 09:56

manager   ~0119128

Seems to work correctly now. Thank you!

Issue History

Date Modified Username Field Change
2019-07-06 15:58 Sven Barth New Issue
2019-10-20 23:24 Bart Broersma Status new => confirmed
2019-10-20 23:24 Bart Broersma LazTarget => -
2019-10-27 16:12 Juha Manninen Assigned To => Juha Manninen
2019-10-27 16:12 Juha Manninen Status confirmed => assigned
2019-10-27 16:46 Juha Manninen Status assigned => resolved
2019-10-27 16:46 Juha Manninen Resolution open => fixed
2019-10-27 16:46 Juha Manninen Fixed in Revision => r62134
2019-10-27 16:46 Juha Manninen Widgetset Win32/Win64 => Win32/Win64
2019-10-27 16:46 Juha Manninen Note Added: 0118877
2019-11-01 17:36 Sven Barth Status resolved => assigned
2019-11-01 17:36 Sven Barth Resolution fixed => reopened
2019-11-01 17:36 Sven Barth Note Added: 0118954
2019-11-03 17:48 Juha Manninen Status assigned => resolved
2019-11-03 17:48 Juha Manninen Fixed in Revision r62134 => r62134, r62169
2019-11-03 17:48 Juha Manninen Widgetset Win32/Win64 => Win32/Win64
2019-11-03 17:48 Juha Manninen Note Added: 0119016
2019-11-07 09:56 Sven Barth Status resolved => closed
2019-11-07 09:56 Sven Barth Note Added: 0119128